OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Interface EventProxy

All Known Implementing Classes:
  TcpEventProxy

public interface EventProxy

This is the interface used to send events into the event subsystem - It is typically used by the poller framework plugins that perform service monitoring to send out aprropriate events. Can also be used by capsd, discovery etc.

Author:
  Sowmya Kumaraswamy , OpenNMS

Method Summary
`void` `send(Event event)` This method is called to send the event out
`void` `send(Log eventLog)` This method is called to send an event log containing multiple events out

Method Detail

### send

    public void send(Event event)
              throws EventProxyException

  This method is called to send the event out

  Parameters:
    `event` - the event to be sent out
  Throws:
    `EventProxyException` - thrown if the send fails for any reason

### send

    public void send(Log eventLog)
              throws EventProxyException

  This method is called to send an event log containing multiple events out

  Parameters:
    `eventLog` - the events to be sent out
  Throws:
    `EventProxyException` - thrown if the send fails for any reason

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.